## knemo 0.7.0

=== CMakeLists.txt ===
project( knemo )

set( KNEMO_VERSION 0.7.0 )

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package( KDE4 REQUIRED )
include( CheckLibraryExists )
include( FindPackageHandleStandardArgs )
include(MacroOptionalAddSubdirectory)

set( QT_USE_QTSQL TRUE )
if ( NOT QT_QTSQL_FOUND )
    message( FATAL_ERROR "The QtSql development package could not be found. Please install libQtSql." )
endif( NOT QT_QTSQL_FOUND )

if ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
    find_package( Libnl REQUIRED )

    find_package( Libiw )
    macro_log_feature( LIBIW_FOUND "libiw" "Linux Wireless Extensions library" "http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html" FALSE "" "" )

    if ( LIBIW_FOUND )
        set ( HAVE_LIBIW 1 )
    endif ( LIBIW_FOUND )

endif ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )

option (LEGACY_TRAY_ICON "Force the tray icon to be compiled as a KSystemTrayIcon." FALSE )
if ( NOT LEGACY_TRAY_ICON )
    if ( ${KDE_VERSION} VERSION_GREATER "4.3.80" )
        set ( HAVE_KSTATUSNOTIFIERITEM 1 )
    endif ( ${KDE_VERSION} VERSION_GREATER "4.3.80" )
endif ( NOT LEGACY_TRAY_ICON )

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/config-knemo.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config-knemo.h
)

macro_display_feature_log()

set( CMAKE_INCLUDE_CURRENT_DIR TRUE )

add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} )

include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

add_subdirectory( src )
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== po/CMakeLists.txt ===
add_subdirectory( ar )
add_subdirectory( bg )
add_subdirectory( br )
add_subdirectory( cs )
add_subdirectory( cy )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hr )
add_subdirectory( hu )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( ka )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( ms )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( rw )
add_subdirectory( sk )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== debian/changelog ===
knemo (0.7.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Switch to source format 3.0 (quilt).
  * Make knemo depend on libqt4-sql-sqlite.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 22 Feb 2011 16:36:22 +0100

knemo (0.6.3-1) unstable; urgency=low

  * New upstream release 
    - Fixes (LP: #559683, LP: #248294)
    - save changes to traffic threshold setting
    - add option to report traffic rate in bit/s
    - update the signal plotter from KDE SC 4.4 branch; a few minor plotter
      config options were dropped as a result
    - on startup sync recent traffic statistics with vnstat if it's available;
      this should help KNemo account for traffic between sessions
    - fix possible hang when text icon theme uses fixed fonts

 -- Mark Purcell <msp@debian.org>  Tue, 15 Jun 2010 18:58:30 +1000

knemo (0.6.2-3) unstable; urgency=low

  [ Pino Toscano ]
  * Add the cmake build dependency, as it is no more provided by kdelibs5-dev.
    (Closes: #581270) 

 -- Mark Purcell <msp@debian.org>  Fri, 14 May 2010 11:28:21 +1000

knemo (0.6.2-2) unstable; urgency=low

  * Upload to unstable

 -- Mark Purcell <msp@debian.org>  Mon, 03 May 2010 20:28:49 +1000

knemo (0.6.2-1) experimental; urgency=low

  * New upstream release 
  * Switch to dh (7) - drop cdbs

 -- Mark Purcell <msp@debian.org>  Fri, 30 Apr 2010 17:02:09 +1000

knemo (0.6.1-1) unstable; urgency=low

  * New upstream release

  [ Pino Toscano ]
  * net-tools and wireless-tools are no more used, so remove them from
    Build-Depends, Depends and Recommends.
  * Exclude libiw-dev, and libnl-dev from Build-Depends for kFreeBSD and Hurd.
  * Remove autotools-dev Build-Depends (knemo uses CMake as build system).
  * Slightly adapt description to the usage of command line applications,
    no more done now.
  * Enable the "as needed" linking.

  [ Mark Purcell ]
  * Remove obsolete debian/README.Debian & debian/dirs
  * Add comment only debian/watch 
  * Update to Standards 3.8.4 - no changes needed

 -- Mark Purcell <msp@debian.org>  Thu, 11 Feb 2010 14:53:44 +1100

knemo (0.6.0-1) unstable; urgency=low

  * New upstream release 
    - Fixes "FTBFS: sysbackend.cpp:362: error: 'KILO' was not declared in
    this scope" (Closes: #560496)
    - Fixes "context menu does not appear" (Closes: #504791)
  * Add Build-Depends: libnl-dev - Linux netlink sockets library

 -- Mark Purcell <msp@debian.org>  Wed, 06 Jan 2010 17:16:51 +1100

knemo (0.5.2-1) unstable; urgency=low

  * New upstream release
    - Closes: #466025, #482591, #433061

 -- Mark Purcell <msp@debian.org>  Tue, 07 Apr 2009 21:42:37 +1000

knemo (0.5.1-1) experimental; urgency=low

  * New upstream release (KDE4)
    - Fixes "Depends on kicker, kicker going away" (Closes: #516412)
    - Build-Depends: kdelibs5-dev, pkg-kde-tools
    - Depends: systemsettings
  * Update Standards Version: 3.8.1: Homepage: Vcs:

 -- Mark Purcell <msp@debian.org>  Wed, 18 Mar 2009 22:32:35 +1100

knemo (0.4.8-1) unstable; urgency=low

  * New upstream release
    - fixed high CPU load when the default gateway is missing (sysbackend)
    - spawns many processes even when disabled (Closes: #411013)
    - CPU usage way too high (Closes: #411146)
    - New upstream 0.4.8 (Closes: #432835)

 -- Mark Purcell <msp@debian.org>  Thu, 19 Jul 2007 21:48:50 +0100

knemo (0.4.6-2) unstable; urgency=high

  [ Mark Purcell ]
  * Urgency high as this fixes multiple RC bugs
  * fd-leakage patch from Matthias Dellweg
    - (Closes:  Bug#409707: knemo: fd-leakage in sys backend)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue,  6 Feb 2007 11:05:03 +0000

knemo (0.4.6-1) unstable; urgency=low

  * new upstream release

  [ Achim Bohnet ]
  * Add libiw-dev to build-deps. Now used by sys backend.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun,  8 Oct 2006 23:31:03 +0200

knemo (0.4.5-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release
  * Remove 12_kdesvn572745.diff as applied upstream
  * Remove 13_fix_essid_regexp_for_not_quoted_strings.diff as applied
    upstream

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 28 Aug 2006 21:31:40 +0100

knemo (0.4.4-2) unstable; urgency=low

  [ Achim Bohnet ]
  * control: remove Depends: kdelibs-bin.  kdelibs-bin was merged into
    kdelibs4c2a (4:3.5.3-1). kdelibs4c2a is added via ${shlibs:Depends}.
    Thx Hobbsee for reminding me (again and again :).

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 22 Aug 2006 17:11:42 +0200

knemo (0.4.4-1) unstable; urgency=low

  * new upstream release

  [ Achim Bohnet ]
  * added debian/patches/12_kdesvn572745.diff: Pull from KDE SVN:
    Fixed counting of transmitted data
  * added debian/patches/11_revert_load_on_demand.diff:
    With load on demand, knemo does not start on login.
    So reverting to 0.4.2 behaviour.  This patch
    reverts Dirk Muellers change from 6-Aug-2006
    trunk/extragear/network/knemo/knemod/knemod.desktop #570450:570451
    See also: http://bugs.kde.org/show_bug.cgi?id=132218
  * added debian/patches/13_fix_essid_regexp_for_not_quoted_strings.diff
    Fixes broken ESSID extraction from iwconfig output for the case that
    the ESSID value is not quoted.
  * debian/copyright: update list of translators

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 15 Aug 2006 00:29:24 +0200

knemo (0.4.3-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun,  6 Aug 2006 22:40:42 +0100

knemo (0.4.2-1) unstable; urgency=low

  [ Achim Bohnet ]
  * New upstream release:
    - fixed crash when opening status dialog or tooltips
  * check copyrights and update debian/copyright

  [ Debian KDE Extras Team ]
  * random crashes (Closes: #374391)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 30 Jun 2006 23:13:53 +0100



=== debian/control ===
Source: knemo
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>> 7), pkg-kde-tools, cmake, kdelibs5-dev,
 libiw-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libnl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Standards-Version: 3.8.4
Homepage: http://extragear.kde.org/apps/knemo/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/knemo/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/knemo/?op=log

Package: knemo
Architecture: any
Depends: systemsettings, libqt4-sql-sqlite, ${shlibs:Depends}, ${misc:Depends}
Description: network interfaces monitor for KDE's systray
 KNemo displays for every network interface an icon in the systray.
 Tooltips and an info dialog provide further information about the
 interface.  Passive popups inform about interface changes.
 A traffic plotter is also integrated.
 .
 knemo polls the network interface status every second.

=== debian/watch ===
# Upstream for this application is located at:
# http://www.kde-apps.org/content/show.php?content=12956
#
# If you are able to fix an workable debian/watch file,
# please file in a bug report so we can use in the
# next Debian release.
#
# Thanks, Mark

## knemo 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project( knemo )
 
-set( KNEMO_VERSION 0.7.0 )
+set( KNEMO_VERSION 0.7.1 )
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

=== debian/changelog ===
knemo (0.7.1-1) unstable; urgency=low

  [ Felix Geyer ]
  * New upstream release.
    - Fixes FTBFS on GNU/kFreeBSD. (Closes: #591745)
  * Switch to source format 3.0 (quilt).
  * Make knemo depend on libqt4-sql-sqlite.
  * Enable parallel building.
  * In build-dependency: use linux-any instead of excluding all current
    non-linux architectures.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Update copyright file.
  * Add a watch file.

  [ Mark Purcell ]
  * Drop obsolete Uploaders, Add Felix Geyer <debfx-pkg@fobos.de>

 -- Mark Purcell <msp@debian.org>  Fri, 27 May 2011 21:43:35 +1000

=== debian/watch ===
version=3
http://kde-apps.org/content/download.php?content=12956 \
  /CONTENT/content-files/12956-knemo-([\d\.]+)\.tar\.(?:gz|bz2).*

## knemo 0.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project( knemo )
 
-set( KNEMO_VERSION 0.7.1 )
+set( KNEMO_VERSION 0.7.2 )
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 add_subdirectory( ar )
 add_subdirectory( bg )
 add_subdirectory( br )
+add_subdirectory( bs )
 add_subdirectory( cs )
 add_subdirectory( cy )
 add_subdirectory( da )
@@ -39,6 +40,7 @@
 add_subdirectory( sr@latin )
 add_subdirectory( sv )
 add_subdirectory( tr )
+add_subdirectory( ug )
 add_subdirectory( uk )
 add_subdirectory( zh_CN )
 add_subdirectory( zh_TW )

=== src/kcm/CMakeLists.txt ===
include_directories( ${KDE4_INCLUDES} ../common )

set( kcm_knemo_SRCS
    configdialog.cpp
    themeconfig.cpp
    statsconfig.cpp
    warnconfig.cpp
    kdateedit.cpp
    kdatepickerpopup.cpp
    ../common/data.cpp
    ../common/utils.cpp
)

kde4_add_ui_files( kcm_knemo_SRCS configdlg.ui themecfg.ui statscfg.ui warncfg.ui )
kde4_add_plugin( kcm_knemo ${kcm_knemo_SRCS} )

target_link_libraries( kcm_knemo ${KDE4_KIO_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS} ${LIBNL_LIBRARY} )

install(TARGETS kcm_knemo DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kcm_knemo.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== src/knemod/CMakeLists.txt ===
include_directories( ${KDE4_INCLUDES} ../common )

set( knemo_SRCS
    main.cpp
    global.cpp
    interface.cpp
    interfaceicon.cpp
    interfaceplotterdialog.cpp
    interfacestatistics.cpp
    interfacestatisticsdialog.cpp
    interfacestatusdialog.cpp
    interfacetray.cpp
    knemodaemon.cpp
    plotterconfigdialog.cpp
    signalplotter.cpp
    statisticsmodel.cpp
    statisticsview.cpp
    backends/backendbase.cpp
    ../common/data.cpp
    ../common/utils.cpp
    storage/sqlstorage.cpp
    storage/xmlstorage.cpp
    syncstats/externalstats.cpp
    syncstats/statsfactory.cpp
    syncstats/stats_vnstat.cpp
)

if ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
    set( knemo_SRCS ${knemo_SRCS} backends/netlinkbackend.cpp )
else ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
    set( knemo_SRCS ${knemo_SRCS} backends/bsdbackend.cpp )
endif ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )

kde4_add_ui_files( knemo_SRCS interfacestatisticsdlg.ui interfacestatusdlg.ui plotterconfigdlg.ui )
kde4_add_executable( knemo ${knemo_SRCS} )

target_link_libraries( knemo ${KDE4_KIO_LIBS} ${LIBIW_LIBRARIES} ${LIBNL_LIBRARIES} ${QT_QTSQL_LIBRARY} )

install( TARGETS knemo ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES knemo.notifyrc DESTINATION ${DATA_INSTALL_DIR}/knemo )
install( PROGRAMS knemo.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES knemo.desktop DESTINATION ${AUTOSTART_INSTALL_DIR} )

add_subdirectory( icons )
add_subdirectory( themes )

=== src/knemod/themes/CMakeLists.txt ===
add_subdirectory( modem )
add_subdirectory( monitor )
add_subdirectory( network )
add_subdirectory( wireless )

=== debian/changelog ===
knemo (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 18 Sep 2011 20:18:00 +1000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: knemo
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Mark Purcell <msp@debian.org>, Felix Geyer <debfx-pkg@fobos.de>
 Build-Depends: debhelper (>> 7), pkg-kde-tools, cmake, kdelibs5-dev,
- libiw-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- libnl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-Standards-Version: 3.8.4
+ libiw-dev [linux-any],
+ libnl-dev [linux-any]
+Standards-Version: 3.9.2
 Homepage: http://extragear.kde.org/apps/knemo/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/knemo/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/knemo/?op=log
+
 
 Package: knemo
 Architecture: any

## knemo 0.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project( knemo )
 
-set( KNEMO_VERSION 0.7.2 )
+set( KNEMO_VERSION 0.7.3 )
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
@@ -14,15 +14,18 @@
     message( FATAL_ERROR "The QtSql development package could not be found. Please install libQtSql." )
 endif( NOT QT_QTSQL_FOUND )
 
+option (NO_WIRELESS_SUPPORT "Disable support for wireless devices." FALSE )
 if ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
     find_package( Libnl REQUIRED )
 
-    find_package( Libiw )
-    macro_log_feature( LIBIW_FOUND "libiw" "Linux Wireless Extensions library" "http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html" FALSE "" "" )
+    if ( NOT NO_WIRELESS_SUPPORT )
+        find_package( Libiw )
+        macro_log_feature( LIBIW_FOUND "libiw" "Linux Wireless Extensions library" "http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html" FALSE "" "" )
 
-    if ( LIBIW_FOUND )
-        set ( HAVE_LIBIW 1 )
-    endif ( LIBIW_FOUND )
+        if ( LIBIW_FOUND )
+            set ( HAVE_LIBIW 1 )
+        endif ( LIBIW_FOUND )
+    endif ( NOT NO_WIRELESS_SUPPORT )
 
 endif ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )

=== debian/changelog ===
knemo (0.7.3-1) unstable; urgency=low

  * New upstream release
  
  [ Felix Geyer ]
  * Fix Vcs-Browser link so it points to anonscm.debian.org.
  * Switch to debhelper compat level v9 which exports build flags.

 -- Mark Purcell <msp@debian.org>  Sun, 19 Feb 2012 09:09:27 +1100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Felix Geyer <debfx-pkg@fobos.de>
-Build-Depends: debhelper (>> 7), pkg-kde-tools, cmake, kdelibs5-dev,
+Build-Depends: debhelper (>= 8.9.0~), pkg-kde-tools, cmake, kdelibs5-dev,
  libiw-dev [linux-any],
  libnl-dev [linux-any]
 Standards-Version: 3.9.2
 Homepage: http://extragear.kde.org/apps/knemo/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/knemo/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/knemo/?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/knemo/trunk/
 
 
 Package: knemo

## knemo 0.7.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 project( knemo )
 
-set( KNEMO_VERSION 0.7.3 )
+set( KNEMO_VERSION 0.7.6 )
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
+set(KDE_MIN_VERSION "4.7.0")
 find_package( KDE4 REQUIRED )
 include( CheckLibraryExists )
 include( FindPackageHandleStandardArgs )
@@ -13,6 +14,8 @@
 if ( NOT QT_QTSQL_FOUND )
     message( FATAL_ERROR "The QtSql development package could not be found. Please install libQtSql." )
 endif( NOT QT_QTSQL_FOUND )
+
+find_package(LibKSignalPlotter REQUIRED)
 
 option (NO_WIRELESS_SUPPORT "Disable support for wireless devices." FALSE )
 if ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
@@ -28,13 +31,6 @@
     endif ( NOT NO_WIRELESS_SUPPORT )
 
 endif ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
-
-option (LEGACY_TRAY_ICON "Force the tray icon to be compiled as a KSystemTrayIcon." FALSE )
-if ( NOT LEGACY_TRAY_ICON )
-    if ( ${KDE_VERSION} VERSION_GREATER "4.3.80" )
-        set ( HAVE_KSTATUSNOTIFIERITEM 1 )
-    endif ( ${KDE_VERSION} VERSION_GREATER "4.3.80" )
-endif ( NOT LEGACY_TRAY_ICON )
 
 configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/config-knemo.h.cmake
                 ${CMAKE_CURRENT_BINARY_DIR}/config-knemo.h

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,7 @@
 add_subdirectory( ru )
 add_subdirectory( rw )
 add_subdirectory( sk )
+add_subdirectory( sl )
 add_subdirectory( sr )
 add_subdirectory( sr@ijekavian )
 add_subdirectory( sr@ijekavianlatin )

=== src/CMakeLists.txt ===
add_subdirectory( kcm )
add_subdirectory( knemod )
add_subdirectory( kconf_update )

=== src/kcm/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 kde4_add_ui_files( kcm_knemo_SRCS configdlg.ui themecfg.ui statscfg.ui warncfg.ui )
 kde4_add_plugin( kcm_knemo ${kcm_knemo_SRCS} )
 
-target_link_libraries( kcm_knemo ${KDE4_KIO_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS} ${LIBNL_LIBRARY} )
+target_link_libraries( kcm_knemo ${KDE4_KIO_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS} ${LIBNL_LIBRARIES} )
 
 install(TARGETS kcm_knemo DESTINATION ${PLUGIN_INSTALL_DIR} )
 install( FILES kcm_knemo.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== src/kconf_update/CMakeLists.txt ===
install( FILES knemo.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

install( PROGRAMS
         knemo-0.5.1-iconsets.pl
         knemo-0.5.2-misc.pl
         knemo-0.6.1-misc.pl
         knemo-0.6.3-misc.pl
         knemo-0.7.0-misc.pl
         DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

=== src/knemod/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,6 @@
     interfacetray.cpp
     knemodaemon.cpp
     plotterconfigdialog.cpp
-    signalplotter.cpp
     statisticsmodel.cpp
     statisticsview.cpp
     backends/backendbase.cpp
@@ -27,6 +26,9 @@
 
 if ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
     set( knemo_SRCS ${knemo_SRCS} backends/netlinkbackend.cpp )
+    if ( LIBIW_FOUND )
+        set( knemo_SRCS ${knemo_SRCS} backends/netlinkbackend_wireless.cpp )
+    endif( LIBIW_FOUND )
 else ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
     set( knemo_SRCS ${knemo_SRCS} backends/bsdbackend.cpp )
 endif ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
@@ -34,7 +36,13 @@
 kde4_add_ui_files( knemo_SRCS interfacestatisticsdlg.ui interfacestatusdlg.ui plotterconfigdlg.ui )
 kde4_add_executable( knemo ${knemo_SRCS} )
 
-target_link_libraries( knemo ${KDE4_KIO_LIBS} ${LIBIW_LIBRARIES} ${LIBNL_LIBRARIES} ${QT_QTSQL_LIBRARY} )
+target_link_libraries( knemo
+    ${KDE4_KIO_LIBS}
+    ${LIBIW_LIBRARIES}
+    ${LIBNL_LIBRARIES}
+    ${QT_QTSQL_LIBRARY}
+    ${LIBKSIGNALPLOTTER_LIBRARY}
+)
 
 install( TARGETS knemo ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== src/knemod/themes/CMakeLists.txt ===
add_subdirectory( modem )
add_subdirectory( monitor )
add_subdirectory( monochrome )
add_subdirectory( network )
add_subdirectory( wireless )

=== src/knemod/themes/modem/CMakeLists.txt ===
FILE( GLOB themes *.desktop)
install( FILES ${themes} DESTINATION ${DATA_INSTALL_DIR}/knemo/themes )

kde4_install_icons( ${ICON_INSTALL_DIR}  )

=== debian/changelog ===
knemo (0.7.6-2) unstable; urgency=low

  * Upload to unstable.
  * Use canonical Vcs-Svn URI.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 11 May 2013 18:56:39 +0200

knemo (0.7.6-1) experimental; urgency=low

  * New Upstream Release

 -- Mark Purcell <msp@debian.org>  Sat, 08 Dec 2012 08:47:18 +1100

knemo (0.7.5-1) experimental; urgency=low

  * New upstream release 
  * Drop fix_ftbfs_arm_qreal.diff - applied upstream

 -- Mark Purcell <msp@debian.org>  Sat, 17 Nov 2012 09:40:00 +1100

knemo (0.7.4-3) experimental; urgency=low

  * Fix FTBFS on ARM: add fix_ftbfs_arm_qreal.diff
  * Switch to my @debian.org email address.
  * Bump Standards-Version to 3.9.4, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 06 Nov 2012 14:16:53 +0100

knemo (0.7.4-2) experimental; urgency=low

  * Add Build-Depends: kde-workspace-dev - fixes FTBFS

 -- Mark Purcell <msp@debian.org>  Mon, 05 Nov 2012 21:57:32 +1100

knemo (0.7.4-1) experimental; urgency=low

  * New upstream release
    - Fixes "Please port to libnl-3.x" (Closes: #688165)
  * Fixed package-needs-versioned-debhelper-build-depends

 -- Mark Purcell <msp@debian.org>  Mon, 05 Nov 2012 19:21:43 +1100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Felix Geyer <debfx-pkg@fobos.de>
-Build-Depends: debhelper (>= 8.9.0~), pkg-kde-tools, cmake, kdelibs5-dev,
+Uploaders: Mark Purcell <msp@debian.org>, Felix Geyer <fgeyer@debian.org>
+Build-Depends: debhelper (>= 9), pkg-kde-tools, cmake, kdelibs5-dev, kde-workspace-dev,
  libiw-dev [linux-any],
- libnl-dev [linux-any]
-Standards-Version: 3.9.2
+ libnl-3-dev [linux-any], libnl-route-3-dev [linux-any]
+Standards-Version: 3.9.4
 Homepage: http://extragear.kde.org/apps/knemo/
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/knemo/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/knemo/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/knemo/trunk/
-
 
 Package: knemo
 Architecture: any

=== debian/watch ===
version=3
http://kde-apps.org/content/download.php?content=12956 \
  /CONTENT/content-files/12956-knemo-([\d\.]+)\.tar\.(?:gz|bz2).* debian svn-upgrade
